Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.wizard
Class WizardPageSupport

    java.lang.Object
      com.tonbeller.wcf.wizard.WizardPageSupport

public class WizardPageSupport
extends java.lang.Object

Support class for building WizardPage implementations.

Author:
  av

Constructor Summary
`WizardPageSupport(WizardPage source)`

Method Summary
`void` | `addPageListener(PageListener l)`
`void` | `fireBack(RequestContext context)`
`void` | `fireCancel(RequestContext context)`
`void` | `fireFinish(RequestContext context)`
`void` | `fireNext(RequestContext context)`
`void` | `fireWizardButton(RequestContext context, java.lang.String methodName)`
`void` | `removePageListener(PageListener l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WizardPageSupport

    public WizardPageSupport(WizardPage source)

Method Detail

### fireNext

    public void fireNext(RequestContext context)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### fireBack

    public void fireBack(RequestContext context)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### fireFinish

    public void fireFinish(RequestContext context)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### fireCancel

    public void fireCancel(RequestContext context)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addPageListener

    public void addPageListener(PageListener l)

### removePageListener

    public void removePageListener(PageListener l)

### fireWizardButton

    public void fireWizardButton(RequestContext context,
                                 java.lang.String methodName)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD